Skip to main content
PATCH
Update a blog

Authorizations

Authorization
string
header
required

Enter your API key (starts with lindo_sk_)

Path Parameters

website_id
string
required

Unique identifier of the website

Example:

"ws_abc123"

blog_id
string
required

Unique identifier of the blog

Example:

"blog_abc123"

Body

application/json
name
string | null

Name of the blog post

Example:

"Getting Started Guide"

path
string | null

URL path of the blog post

Example:

"/blog/getting-started"

seo
object | null

SEO metadata for the blog post

Example:
blog_settings
object | null

Blog-specific settings configuration

Example:
data
object | null

Blog data and content

Example:
language
string | null

Language code (e.g., 'en', 'es', 'fr'). Converted to display format for storage.

Example:

"en"

Response

Blog updated successfully

success
enum<boolean>
required

Indicates the operation was successful

Available options:
true
Example:

true

result
object
required